Page MenuHomePhabricator

Discuss: Should we continue to support a mediawiki api endpoint in Popups?
Closed, ResolvedPublic

Description

Popups has a REST and a mediawiki api gateway for sourcing content. We only use the REST api for production, but we use the mediawiki api gateway.

Suggested action

  • We remove all client side formatting in mediawiki api endpoint.
  • We keep API for 3rd parties but mark it as unmaintained.

Event Timeline

Jdlrobson created this task.Mar 6 2018, 7:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2018, 7:03 PM

Change 397919 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Popups@master] Remove client side formatters in Popups code base for MW API.

https://gerrit.wikimedia.org/r/397919

Given the comment history of this task, it's not clear that we've actually discussed this.

Here are my 2 monetary units:

We should continue to support a MediaWiki API fallback for third-party wikis. We should remove all client-side extract formatting as it's highly unlikely that those wikis have similar formatting concerns than the Wikipedias.

That would also be my thinking

Change 397919 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Remove client side formatters in Popups code base for MW API.

https://gerrit.wikimedia.org/r/397919

So the other patch matches https://phabricator.wikimedia.org/T189042#4034648 (also my opinion). Should we pull this into the sprint for discussion or simply resolve?

phuedx assigned this task to ovasileva.Mar 9 2018, 9:22 AM

This seems like @ovasileva's call.

@ovasileva: With the above changed merged, Page Previews will continue to work on third-party wikis but will not attempt to remove/reformat the extract used in the preview of a page. Cool?

That sounds good to me. Making a note to add this to the documentation in https://www.mediawiki.org/wiki/Page_Previews

ovasileva triaged this task as High priority.Mar 11 2018, 5:09 PM
ovasileva closed this task as Resolved.Mar 15 2018, 11:55 AM